<?php
/**
 * Copyright (с) Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2022 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * https://www.cloudlinux.com/legal/
 */

namespace CloudLinux\SmartAdvice\App\Advice;

/**
 * SmartAdvice Api.
 */
abstract class Api {
	/**
	 * Apply advice.
	 *
	 * @param int $advice_id id.
	 *
	 * @return string
	 */
	abstract public function apply( $advice_id );

	/**
	 * Rollback advice.
	 *
	 * @param int $advice_id id.
	 *
	 * @return string
	 */
	abstract public function rollback( $advice_id );

	/**
	 * Status advice.
	 *
	 * @param int $advice_id id.
	 *
	 * @return string
	 */
	abstract public function status( $advice_id );
}
