##
# Copyright (с) Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2022 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# https://www.cloudlinux.com/legal/
##

PATH_TO_PHP=$1
PATH_TO_WP=$2
JSON=$3

COMMAND="$PATH_TO_PHP -d error_reporting=~E_DEPRECATED -d extension=phar.so -d extension=json.so -d extension=mysqli.so -d memory_limit=-1 /opt/clwpos/wp-cli --path=$PATH_TO_WP"

# Check php version, minimum 5.6
PHP_VERSION=$($PATH_TO_PHP -r "echo PHP_VERSION;")
PHP_VERSION_ARR=(${PHP_VERSION//./ })
if [ ${PHP_VERSION_ARR[0]} -lt 5 ] && [ ${PHP_VERSION_ARR[1]} -lt 6 ]; then
    echo "PHP version is not supported."
    exit 1
fi

# Check WordPress version, minimum 5.0
WORDPRESS_VERSION=$(CL_SMART_ADVICE_DISABLED=1 $COMMAND core version)
WORDPRESS_VERSION_ARR=(${WORDPRESS_VERSION//./ })
if [ ${WORDPRESS_VERSION_ARR[0]} -lt 5 ]; then
    echo "WordPress version is not supported."
    exit 1
fi

PATH_TO_CURRENT_FOLDER=${0/"/run.sh"/""}
PATH_TO_MU_FOLDER=$(CL_SMART_ADVICE_DISABLED=1 $COMMAND eval "echo WPMU_PLUGIN_DIR;")
PATH_TO_MU_PLUGIN="$PATH_TO_MU_FOLDER/cl-smart-advice.php"

if [[ ! -d "$PATH_TO_MU_FOLDER" ]]; then
  mkdir -p "$PATH_TO_MU_FOLDER"
fi

# Create symlink to plugin file
if [ ! -L "$PATH_TO_MU_PLUGIN" ]; then
  ln -s "$PATH_TO_CURRENT_FOLDER/cl-smart-advice.php" "$PATH_TO_MU_PLUGIN"
  if [[ ! $? -eq "0" ]]; then
    echo "Failed creating symlink to plugin file."
    exit 1
  fi
fi

# Sync advices
if [[ ! -z "$JSON" ]]; then
  $COMMAND smart-advice sync --list="$JSON"
  CODE=$?
  if [[ "$CODE" -eq "1" ]]; then
    echo "Failed run wp-cli command smart-advice sync."
    exit $CODE
  fi
fi

# Check site's health
$COMMAND option get home 1> /dev/null
CODE=$?
if [[ "$CODE" -gt "0" ]]; then
  rm $PLUGIN_FILE_PATH
  echo "Failed run wp-cli command, site's health status failed. Plugin removed."
  exit $CODE
fi

exit 0
