# -*- coding: utf-8 -*-

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

"""
This module contains a class for applying SOM Advice
"""
import logging

from .wpos_base import WPOSModuleApply

logger = logging.getLogger('som_advice')


class SOMAdvice(WPOSModuleApply):
    """Site Optimization advice"""

    short_description = "Turn on AccelerateWP feature"
    detailed_description = "To improve site performance, enable the AccelerateWP optimization feature. " \
                           "We recommend applying the advice if you see it frequently for " \
                           "the most valuable URLs of your site."
    apply_button_text = "Turn on optimization"
    module_name = suite = 'accelerate_wp'
    is_premium_feature = False
