# -*- coding: utf-8 -*-

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2022 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

"""
This module contains a helper for Smart Advice own progress of applying the advice
"""
from dataclasses import dataclass


@dataclass
class SmartAdviceProgress:
    """Storage for progress stages"""
    total_stages: int = 0
    completed_stages: int = 0

    def __gt__(self, other):
        return self.completed_stages > other.completed_stages or self.total_stages > other.total_stages
