# -*- coding: utf-8 -*-

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

import os


staging_flag_file = '/opt/cloudlinux/staging_mode'
local_api_flag_file = '/usr/share/alt-php-xray/api_local'


def staging() -> bool:
    """
    Is staging enabled
    """
    return os.path.isfile(staging_flag_file)


def local_api() -> bool:
    """
    Is local API in use
    """
    return os.path.isfile(local_api_flag_file)
